Subject: Re: [PATCH 03/14] copy_fd: pass error message back through a strbuf

From: Jonathan Nieder <[email-masked]>
Date: Wed, 3 Dec 2014 12:28:05 -0800

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>> -extern int copy_fd(int ifd, int ofd);
>> +extern int copy_fd(int ifd, int ofd, struct strbuf *err);
>
> It is not limited to this single function, but what contract do we
> envision this "error messages are given back to the caller via
> strbuf" convention should give between the callers and the callee?

Good point.  I'll add a Documentation/technical/api-error-handling.txt
describing die(), error(), warning(), and the strbuf-based method.

Thanks,
Jonathan